# date4/holiday/compat.rb: Written by Tadayoshi Funaba 1998-2006
# $Id: compat.rb,v 1.1 2006-06-04 12:07:12+09 tadf Exp $

class Date4

  [ %w(nhol?	national_holiday?),
    %w(qnhol?	old_national_holiday?)
  ].each do |old, new|
    module_eval <<-"end;"
      def #{old}(*args, &block)
	if $VERBOSE
	  warn("\#{caller.shift.sub(/:in .*/, '')}: " \
	       "warning: \#{self.class}\##{old} is deprecated; " \
	       "use \#{self.class}\##{new}")
	end
	#{new}(*args, &block)
      end
    end;
  end

end
