# date4/misc/once.rb: Written by Tadayoshi Funaba 1998-2006
# $Id: once.rb,v 1.1 2006-06-04 12:07:12+09 tadf Exp $

class Date4

  module Once

    def once(*ids)
      for id in ids
	module_eval <<-"end;"
	  alias_method :__#{id.to_i}__, :#{id.to_s}
	  private :__#{id.to_i}__
	  def #{id.to_s}(*args, &block)
	    (@__#{id.to_i}__ ||= [__#{id.to_i}__(*args, &block)])[0]
	  end
	end;
      end
    end

    private :once

  end

end
