# date4/format/locale/es_ES.rb: Written by Tadayoshi Funaba 2006
# $Id: es_ES.rb,v 1.1 2006-06-04 15:33:37+09 tadf Exp $

class Date4

  module Format

    class Locale

      ES_ES = self.new(
{
   'id' => 'es_ES',
   'style' => 'eu',

   'monthnames' => [nil]  + %w(enero febrero marzo abril mayo junio
			julio agosto septiembre octubre noviembre diciembre),

   'daynames' => %W(domingo lunes martes mi\351rcoles
			jueves viernes s\341bado),

   'abbr_monthnames' => [nil] + %w(ene feb mar abr may jun
				jul ago sep oct nov dic),

   'abbr_daynames' => %W(dom lun mar mi\351 jue vie s\341b),

   'ampmname' => %w(AM PM),

   'months' => {
     'enero'    => 1, 'febrero'  => 2, 'marzo'    => 3, 'abril'    => 4,
     'mayo'     => 5, 'junio'    => 6, 'julio'    => 7, 'agosto'   => 8,
     'septiembre'=> 9, 'octubre'  =>10, 'noviembre'=>11, 'diciembre'=>12
   },

   'days' => {
     'domingo'  => 0, 'lunes'    => 1, 'martes'   => 2, "mi\351rcoles"=> 3,
     'jueves'   => 4, 'viernes'  => 5, "s\341bado"=> 6
   },

   'abbr_months' => {
     'ene'      => 1, 'feb'      => 2, 'mar'      => 3, 'abr'      => 4,
     'may'      => 5, 'jun'      => 6, 'jul'      => 7, 'ago'      => 8,
     'sep'      => 9, 'oct'      =>10, 'nov'      =>11, 'dic'      =>12
   },

   'abbr_days' => {
     'dom'      => 0, 'lun'      => 1, 'mar'      => 2, "mi\351"   => 3,
     'jue'      => 4, 'vie'      => 5, "s\341b"   => 6
   },

   'ampm' => {'am' => 0, 'pm' => 12},

   'x_fmt'    => '%d/%m/%y',
   'X_fmt'    => '%H:%M:%S',
   'r_fmt'    => '%I:%M:%S %p',
   'c_fmt'    => '%a %e %b %H:%M:%S %Y',
   'date_fmt' => '%a %e %b %H:%M:%S %Z %Y'
 })

    end

  end

end
