# date4/timezone/complex/jp.rb: Written by Tadayoshi Funaba 2006
# $Id: jp.rb,v 1.2 2006-12-30 21:50:28+09 tadf Exp $

require 'date4/timezone/posix'

class Date4

  module TimeZone

    module Complex

      class JP

	def lookup(ajd, adj)
	  d = DateTime4.new!(ajd)
	  case d.year
	  when 1948
	    tz = POSIX.new('CJST-9CJDT,M5.1.6/23,M9.2.6/25')
	  when 1949, 1950, 1951
	    tz = POSIX.new('CJST-9CJDT,M4.1.6/23,M9.2.6/25')
	  else
	    tz = POSIX.new('CJST-9')
	  end
	  tz.lookup(ajd, adj)
	end

	Central = self.new
	Western = POSIX.new('WJST-8')

      end

    end

  end

end
