# date4/timezone/system.rb: Written by Tadayoshi Funaba 2006
# $Id: system.rb,v 1.2 2006-12-30 21:50:28+09 tadf Exp $

class Date4

  module TimeZone

    class System

      def lookup(ajd, adj)
	a = DateTime4.new!(ajd).
	  instance_eval{[year, mon, mday, hour, min, sec]}
	t = if adj
	    then Time.local(*a)
	    else Time.utc(*a).localtime end
	{:zone=>t.zone, :of=>t.utc_offset.to_r/86400,
	  :utc=>t.utc?, :dst=>t.dst?}
      end

      def inspect() format('#<%s>', self.class) end
      def to_s() 'Local' end

      Local = self.new

    end

  end

end
