# date4/timezone/usmil.rb: Written by Tadayoshi Funaba 2006
# $Id: usmil.rb,v 1.1 2006-06-04 12:07:12+09 tadf Exp $

require 'date4/format'

class Date4

  module TimeZone

    class USMil

      def initialize(n, o) @n, @o = n, o end

      def lookup(ajd, adj)
	{:zone=>@n, :of=>@o, :utc=>@o == 0, :dst=>false}
      end

      def inspect() format('#<%s>', self.class) end
      def to_s() @n.upcase end

      ('a'..'z').select{|s| s != 'j'}.collect{|s| [s, Format::ZONES[s]]}.
	each do |n, o|

	module_eval <<-"end;"
	  #{n.upcase} = self.new("#{n.upcase}", #{o}.to_r/86400)
	end;

      end

    end

  end

end
